module Codebreaker
  module Entities
    class Controller
      GUESSED_NUMBER_SYMBOL = '+'.freeze
      UNEXPECTED_NUMBER_SYMBOL = '-'.freeze

      attr_reader :guess, :code, :result

      def secret_code_handler(code, guess)
        @code = code.split('')
        @guess = guess.split('')
        guessed_numbers.join + guessed_numbers_error_posit.join
      end

      private

      def guessed_numbers
        code.map.with_index do |_key, index|
          next unless code[index] == guess[index]

          @guess[index], @code[index] = nil
          GUESSED_NUMBER_SYMBOL
        end
      end

      def guessed_numbers_error_posit
        guess.compact.map do |number|
          next unless @code.include?(number)

          @code.delete_at(code.index(number))
          UNEXPECTED_NUMBER_SYMBOL
        end
      end
    end
  end
end
