require 'i18n'
module Codebreaker
  module Entities
    class Viewer
      def message(message, hash = {})
        puts I18n.t(message, hash)
      end

      def start_message
        message(:start_message)
      end

      def rules
        message(:rules)
      end

      def goodbye_message
        message(:goodbye_message)
      end

      def win_game_message
        message(:win_game_message)
      end

      def lost_game_message(code)
        message(:lost_game_message, code: code)
      end

      def save_results_message
        message(:save_results_message)
      end

      def round_message
        message(:round_message)
      end

      def no_hints_message
        message(:have_no_hints_message)
      end

      def print_hint(hint)
        message(:print_hint_number, code: hint)
      end

      def registration_name_length_error
        message(:registration_name_length_error)
      end

      def command_error
        message(:command_error)
      end
    end
  end
end
